Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 108477 - [pull up field] PullUp a field initialized with super.f yields comp. error
[pull up field] PullUp a field initialized with super.f yields comp. error
Status: RESOLVED WONTFIX
Product: java
Classification: Unclassified
Component: Refactoring
6.x
PC Windows XP
: P4 (vote)
: 6.x
Assigned To: issues@java
issues@java
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2007-06-29 00:15 UTC by kely_garcia
Modified: 2009-11-02 11:17 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description kely_garcia 2007-06-29 00:15:05 UTC
Build ID: Netbeans 6.0 M9 (070502)

Steps To Reproduce:
Pull up field g on the following:

public class A {
  public Boolean f;
}
class B extends A {
  Boolean g=super.f;
}

Yields the following refactored code:

public class A {
    public Boolean f;
    java.lang.Boolean g = super.f;
}
class B extends A {
}

The compilation error is: "cannot find symbol: variable f"
Comment 1 David Strupl 2009-03-31 15:55:04 UTC
Resolving all issues with milestone "future" as LATER. If you feel strongly that
it should be implemented please reopen and set the target milestone to "next".
Comment 2 Quality Engineering 2009-11-02 11:17:32 UTC
NetBeans.org Migration: changing resolution from LATER to WONTFIX


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo